let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs { };
in
pkgs.mkShell {
  nativeBuildInputs = with pkgs; [
    git
    nixpkgs-fmt
  ];
  shellHook = ''
    ${(import ./pre-commit.nix).shellHook}
  '';
}
